%define upstream_name Mail-DomainKeys
%define upstream_version 1.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
License:	Artistic
Group:		Development/Perl
Summary:	Perl module that implements DomainKeys
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Crypt::OpenSSL::RSA)
BuildRequires:	perl(Mail::Address)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Net::DNS) >= 0.34
BuildRequires:	perl(Test::More)
BuildArch:	noarch


%description
Mail-DomainKeys is a Perl module that implements DomainKeys.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo "y" | %__perl Makefile.PL INSTALLDIRS="vendor"

%make

%check
make test

%install
%make_install

%files
%doc Changes README THANKS META.yml
%dir %{perl_vendorlib}/Mail/DomainKeys
%dir %{perl_vendorlib}/Mail/DomainKeys/Key
%{perl_vendorlib}/Mail/DomainKeys/*.pm
%{perl_vendorlib}/Mail/DomainKeys/Key/*.pm
%{perl_vendorlib}/Mail/DomainKeys.pm
%{_mandir}/man3/Mail::DomainKeys.3pm*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-13.mga8
+ Revision: 1515860
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-12.mga7
+ Revision: 1300182
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-10.mga6
+ Revision: 1029499
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-9.mga6
+ Revision: 937522
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 937092
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 741832
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 685311
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 512737
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-4.mga3
+ Revision: 369410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.0-3.mga1
+ Revision: 33939
- mageia rebuild
- imported package perl-Mail-DomainKeys


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0-3mdv2010.1
+ Revision: 426520
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0-2mdv2009.1
+ Revision: 351899
- rebuild

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.0
+ Revision: 232761
- fix deps
- import perl-Mail-DomainKeys


* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.0
- initial Mandriva package 
